%global pspdev_commit 38c23f527c6c628b33241d5d97584a932a5d7822

Name:           pspdev
Epoch:          1
Version:        1.0
Release:        1%{?dist}
Summary:        pspdev toolchain and SDK for PSP

# Most of the sources are licensed under GPLv3+ with these exceptions:
# LGPLv2+ libquadmath/ libjava/libltdl/ gcc/testsuite/objc.dg/gnu-encoding/generate-random 
#         libgcc/soft-fp/ libffi/msvcc.sh
# LGPLv3+ gcc/prefix.c
# BSD libgo/go/regexp/testdata/testregex.cz zlib/example.c libffi/ 
#     libjava/classpath/external/relaxngDatatype/org/relaxng/datatype/helpers/DatatypeLibraryLoader.java
# GPLv2+ libitm/testsuite/libitm.c/memset-1.c libjava/
# Public Domain libjava/classpath/external/sax/org/xml/sax/ext/EntityResolver2.java
#               libjava/classpath/external/sax/org/xml/sax/ext/DeclHandler.java
# BSL zlib/contrib/dotzlib/DotZLib/GZipStream.cs
License:        GPLv2+ and GPLv3+ and LGPLv2+ and BSD
URL:            https://github.com/pspdev

Source0:        https://github.com/pspdev/pspdev/archive/%{pspdev_commit}.tar.gz

BuildRequires:	autoconf automake pkgconf openssl-devel texinfo bison flex libarchive-devel
BuildRequires:	make ncurses-devel wget bc gmp-devel mpfr-devel libmpc-devel
BuildRequires:  gcc gcc-c++ git gpgme-devel python3 python3-pip fakeroot bsdtar
BuildRequires:  zlib-devel make cmake libtool gettext gettext-devel doxygen tcl readline-devel
Requires: glibc
Requires: libgcc
AutoReqProv: no

%if 0%{?fedora} <= 36
BuildRequires: libusb-devel
%else
BuildRequires: libusb-compat-0.1-devel
%endif

%undefine _missing_build_ids_terminate_build
%global debug_package %{nil}
%global __strip /bin/true
%global _build_id_links alldebug

%description
pspdev toolchain for PSP. Includes toolchain (binutils, gcc, newlib), SDK (pspsdk)
and several library ports, including PSP-specific libraries.

%prep
%setup -q -c

%build
%undefine _auto_set_build_flags
export PSPDEV=%{buildroot}/opt/pspdev
export PATH=$PATH:$PSPDEV/bin
mkdir -p %{buildroot}/opt
cd pspdev-%{pspdev_commit}
LOCAL_PACKAGE_BUILD=1 ./build-all.sh
rm -f %{buildroot}/opt/pspdev/psp/bin/{sq_static,sq}

%files
/opt/pspdev/*

%changelog
* Sun Jan 02 2022 David Guillen Fandos <david@davidgf.net> - v1
- First attempt


